Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 5.1.0sp9 API Reference

## weblogic.net.http
Class HttpURLConnection

    java.lang.Object
      |
      +--java.net.URLConnection
            |
            +--java.net.HttpURLConnection
                  |
                  +--weblogic.net.http.HttpURLConnection

Direct Known Subclasses:
  HttpsURLConnection

public class HttpURLConnection
extends java.net.HttpURLConnection

A class to represent an HTTP connection to a remote object.

Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Field Summary
`protected ContentLengthOutputStream` | `clenOS`
`protected HttpClient` | `http`
`protected java.io.InputStream` | `inputStream`
`protected weblogic.utils.io.UnsyncByteArrayOutputStream` | `poster`
`protected HttpOutputStream` | `ps`
`protected MessageHeader` | `requests`
`protected MessageHeader` | `responses`
`protected boolean` | `setRequests`
`static java.lang.String` | `userAgent`

Fields inherited from class java.net.HttpURLConnection
`HTTP_ACCEPTED, HTTP_BAD_GATEWAY, HTTP_BAD_METHOD, HTTP_BAD_REQUEST, HTTP_CLIENT_TIMEOUT, HTTP_CONFLICT, HTTP_CREATED, HTTP_ENTITY_TOO_LARGE, HTTP_FORBIDDEN, HTTP_GATEWAY_TIMEOUT, HTTP_GONE, HTTP_INTERNAL_ERROR, HTTP_LENGTH_REQUIRED, HTTP_MOVED_PERM, HTTP_MOVED_TEMP, HTTP_MULT_CHOICE, HTTP_NO_CONTENT, HTTP_NOT_ACCEPTABLE, HTTP_NOT_AUTHORITATIVE, HTTP_NOT_FOUND, HTTP_NOT_MODIFIED, HTTP_OK, HTTP_PARTIAL, HTTP_PAYMENT_REQUIRED, HTTP_PRECON_FAILED, HTTP_PROXY_AUTH, HTTP_REQ_TOO_LONG, HTTP_RESET, HTTP_SEE_OTHER, HTTP_SERVER_ERROR, HTTP_UNAUTHORIZED, HTTP_UNAVAILABLE, HTTP_UNSUPPORTED_TYPE, HTTP_USE_PROXY, HTTP_VERSION, method, responseCode, responseMessage`

Fields inherited from class java.net.URLConnection
`allowUserInteraction, connected, doInput, doOutput, ifModifiedSince, url, useCaches`

Constructor Summary
`HttpURLConnection(java.net.URL u)`

Method Summary
`void` | `connect()`
`void` | `disconnect()` Disconnect from the server.
`protected void` | `doSetRequests()`
`protected boolean` | `followRedirect()`
`static java.lang.String` | `getAuthInfo(java.lang.String host, int port, java.lang.String header)`
`java.lang.String` | `getHeaderField(int n)` Gets a header field by index.
`java.lang.String` | `getHeaderField(java.lang.String name)` Gets a header field by name.
`java.lang.String` | `getHeaderFieldKey(int n)` Gets a header field by index.
`protected HttpClient` | `getHttpClient()`
`java.io.InputStream` | `getInputStream()`
`java.io.OutputStream` | `getOutputStream()`
`protected java.lang.String` | `getProtocol()`
`java.lang.String` | `getRequestProperty(java.lang.String key)`
`void` | `setRequestProperty(java.lang.String key, java.lang.String value)`
`boolean` | `usingProxy()`
`protected void` | `writeRequests()`

Methods inherited from class java.net.HttpURLConnection
`getErrorStream, getFollowRedirects, getPermission, getRequestMethod, getResponseCode, getResponseMessage, setFollowRedirects, setRequestMethod`

Methods inherited from class java.net.URLConnection
`getAllowUserInteraction, getContent, getContentEncoding, getContentLength, getContentType, getDate, getDefaultAllowUserInteraction, getDefaultRequestProperty, getDefaultUseCaches, getDoInput, getDoOutput, getExpiration, getFileNameMap, getHeaderFieldDate, getHeaderFieldInt, getIfModifiedSince, getLastModified, getURL, getUseCaches, guessContentTypeFromName, guessContentTypeFromStream, setAllowUserInteraction, setContentHandlerFactory, setDefaultAllowUserInteraction, setDefaultRequestProperty, setDefaultUseCaches, setDoInput, setDoOutput, setFileNameMap, setIfModifiedSince, setUseCaches, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### userAgent

    public static final java.lang.String userAgent

### http

    protected HttpClient http

### ps

    protected HttpOutputStream ps

### requests

    protected MessageHeader requests

### responses

    protected MessageHeader responses

### inputStream

    protected java.io.InputStream inputStream

### clenOS

    protected ContentLengthOutputStream clenOS

### poster

    protected weblogic.utils.io.UnsyncByteArrayOutputStream poster

### setRequests

    protected boolean setRequests

Constructor Detail

### HttpURLConnection

    public HttpURLConnection(java.net.URL u)

Method Detail

### getProtocol

    protected java.lang.String getProtocol()

### writeRequests

    protected void writeRequests()
                          throws java.io.IOException

### connect

    public void connect()
                 throws java.io.IOException

  Overrides:
    connect in class java.net.URLConnection

### getHttpClient

    protected HttpClient getHttpClient()
                                throws java.io.IOException

### getOutputStream

    public java.io.OutputStream getOutputStream()
                                         throws java.io.IOException

  Overrides:
    getOutputStream in class java.net.URLConnection

### getAuthInfo

    public static java.lang.String getAuthInfo(java.lang.String host,
                                               int port,
                                               java.lang.String header)
                                        throws java.io.IOException

### getInputStream

    public java.io.InputStream getInputStream()
                                       throws java.io.IOException

  Overrides:
    getInputStream in class java.net.URLConnection

### followRedirect

    protected boolean followRedirect()
                              throws java.io.IOException

### disconnect

    public void disconnect()

  Disconnect from the server.

  Overrides:
    disconnect in class java.net.HttpURLConnection

### usingProxy

    public boolean usingProxy()

  Overrides:
    usingProxy in class java.net.HttpURLConnection

### getHeaderField

    public java.lang.String getHeaderField(java.lang.String name)

  Gets a header field by name. Returns null if not known.

  Parameters:
    `name` - the name of the header field
  Overrides:
    getHeaderField in class java.net.URLConnection

### getHeaderField

    public java.lang.String getHeaderField(int n)

  Gets a header field by index. Returns null if not known.

  Parameters:
    `n` - the index of the header field
  Overrides:
    getHeaderField in class java.net.URLConnection

### getHeaderFieldKey

    public java.lang.String getHeaderFieldKey(int n)

  Gets a header field by index. Returns null if not known.

  Parameters:
    `n` - the index of the header field
  Overrides:
    getHeaderFieldKey in class java.net.URLConnection

### setRequestProperty

    public void setRequestProperty(java.lang.String key,
                                   java.lang.String value)

  Overrides:
    setRequestProperty in class java.net.URLConnection

### getRequestProperty

    public java.lang.String getRequestProperty(java.lang.String key)

  Overrides:
    getRequestProperty in class java.net.URLConnection

### doSetRequests

    protected void doSetRequests()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://www.weblogic.com/docs51
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD